Get event by ID
curl --request GET \
--url https://api-v2.polyrouter.io/events/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-v2.polyrouter.io/events/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-v2.polyrouter.io/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-v2.polyrouter.io/events/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"pagination": {
"total": 50,
"limit": 50,
"has_more": true,
"next_cursor": "WzMsW1swLDEsM11dXQ"
},
"events": [
{
"id": "4690",
"platform": "polymarket",
"platform_id": "<string>",
"title": "US Presidential Election 2024",
"last_synced_at": "<string>",
"series_id": "<string>",
"slug": "<string>",
"description": "<string>",
"image_url": "<string>",
"resolution_source_url": "<string>",
"event_start_at": "<string>",
"event_end_at": "<string>",
"market_count": 5,
"total_volume": 123,
"markets": [
{
"id": "KXELONMARS-99",
"platform": "kalshi",
"platform_id": "KXELONMARS-99",
"title": "Will Elon Musk visit Mars before Aug 1, 2099?",
"status": "open",
"market_type": "binary",
"outcomes": [
{
"id": "yes",
"name": "Yes"
}
],
"current_prices": {},
"last_synced_at": "<string>",
"event_id": "KXELONMARS-99",
"event_name": "Will Elon Musk visit Mars?",
"event_slug": "elon-musk-mars",
"series_id": "<string>",
"slug": "kxelonmars-99",
"market_slug": "kxelonmars-99",
"description": "<string>",
"category": "Science",
"subcategory": "<string>",
"tags": [
"<string>"
],
"volume_24h": 10000,
"volume_7d": 50000,
"volume_total": 500000,
"liquidity": 123,
"liquidity_score": 123,
"open_interest": 123,
"unique_traders": 123,
"fee_rate": 123,
"trading_fee": 123,
"withdrawal_fee": 123,
"source_url": "https://kalshi.com/markets/kxelonmars-99",
"image_url": "<string>",
"created_at": "<string>",
"trading_start_at": "<string>",
"trading_end_at": "<string>",
"resolution_date": "<string>",
"resolved_at": "<string>",
"resolution_criteria": "<string>",
"resolution_source": "<string>",
"price_24h_changes": {},
"price_7d_changes": {},
"last_trades": {},
"metadata": {
"conditionId": "<string>",
"ammType": "<string>",
"marketType": "<string>",
"formatType": "<string>",
"competitive": 0,
"score": 0,
"bestBid": 0.64,
"bestAsk": 0.66,
"spread": 0.02,
"clobTokenIds": [
"<string>"
]
}
}
]
}
],
"meta": {
"request_time": 123,
"cache_hit": true,
"data_freshness": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}Events
Get event by ID
Fetch a single event by its ID
GET
/
events
/
{id}
Get event by ID
curl --request GET \
--url https://api-v2.polyrouter.io/events/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-v2.polyrouter.io/events/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-v2.polyrouter.io/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-v2.polyrouter.io/events/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"pagination": {
"total": 50,
"limit": 50,
"has_more": true,
"next_cursor": "WzMsW1swLDEsM11dXQ"
},
"events": [
{
"id": "4690",
"platform": "polymarket",
"platform_id": "<string>",
"title": "US Presidential Election 2024",
"last_synced_at": "<string>",
"series_id": "<string>",
"slug": "<string>",
"description": "<string>",
"image_url": "<string>",
"resolution_source_url": "<string>",
"event_start_at": "<string>",
"event_end_at": "<string>",
"market_count": 5,
"total_volume": 123,
"markets": [
{
"id": "KXELONMARS-99",
"platform": "kalshi",
"platform_id": "KXELONMARS-99",
"title": "Will Elon Musk visit Mars before Aug 1, 2099?",
"status": "open",
"market_type": "binary",
"outcomes": [
{
"id": "yes",
"name": "Yes"
}
],
"current_prices": {},
"last_synced_at": "<string>",
"event_id": "KXELONMARS-99",
"event_name": "Will Elon Musk visit Mars?",
"event_slug": "elon-musk-mars",
"series_id": "<string>",
"slug": "kxelonmars-99",
"market_slug": "kxelonmars-99",
"description": "<string>",
"category": "Science",
"subcategory": "<string>",
"tags": [
"<string>"
],
"volume_24h": 10000,
"volume_7d": 50000,
"volume_total": 500000,
"liquidity": 123,
"liquidity_score": 123,
"open_interest": 123,
"unique_traders": 123,
"fee_rate": 123,
"trading_fee": 123,
"withdrawal_fee": 123,
"source_url": "https://kalshi.com/markets/kxelonmars-99",
"image_url": "<string>",
"created_at": "<string>",
"trading_start_at": "<string>",
"trading_end_at": "<string>",
"resolution_date": "<string>",
"resolved_at": "<string>",
"resolution_criteria": "<string>",
"resolution_source": "<string>",
"price_24h_changes": {},
"price_7d_changes": {},
"last_trades": {},
"metadata": {
"conditionId": "<string>",
"ammType": "<string>",
"marketType": "<string>",
"formatType": "<string>",
"competitive": 0,
"score": 0,
"bestBid": 0.64,
"bestAsk": 0.66,
"spread": 0.02,
"clobTokenIds": [
"<string>"
]
}
}
]
}
],
"meta": {
"request_time": 123,
"cache_hit": true,
"data_freshness": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}Authorizations
API key for authentication
Path Parameters
Example:
"KXELONMARS-99"
Query Parameters
Specify platform to search (only polymarket and kalshi support events)
Available options:
polymarket, kalshi Include raw platform response data
Available options:
true, false Include nested markets in event
Available options:
true, false āI

